package sharkey_mod_nlp.gui.tree;

import java.awt.*;
import javax.swing.*;

public class TreeFrame extends JFrame
{
	private ScrollPane jsp;
	
	
	public TreeFrame(String title, TreeCanvas view)
	{
		super(title);
		
		jsp = new ScrollPane(ScrollPane.SCROLLBARS_ALWAYS);
		// jsp = new JScrollPane(view, JScrollPane.VERTICAL_SCROLLBAR_ALWAYS, JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);
		
		int w = (int)view.getPreferredSize().getWidth()  + 26; 
		int h = (int)view.getPreferredSize().getHeight() + 26;
		
		// limit initial framesize to 1024,768
		if (w > 1002) w = 1002;
		if (h > 720)  h = 720;
		
		if (w < 200) w = 200;
		if (h < 200) h = 200;
		
		setSize(w + 22, h + 48);
		
		jsp.add(view);
		jsp.setSize(w,h);
    view.setScollPaneRef(jsp);
		
		// JPanel jp = new JPanel(new FlowLayout(FlowLayout.LEFT));
		// jp.add(jsp);
		
		setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		getContentPane().add(jsp, BorderLayout.CENTER);
	}
}