package sfm.shp;

import java.awt.Color;

public final class PixelData
{
  private int x, y, packedRGBA, r, g, b;
  
  public PixelData(int xx, int yy, int colorValue)
  {
    Color c = new Color(colorValue);
    
    x          = xx;
    y          = yy;
    packedRGBA = colorValue;
    r          = c.getRed();
    g          = c.getGreen();
    b          = c.getBlue();
  }
//--------------------------------------------------------------------//
  public void changeX(int dx)
  {
    x += dx;
  }
//--------------------------------------------------------------------//
  public void changeY(int dy)
  {
    y += dy;
  }
//--------------------------------------------------------------------//
  public int getX()     { return x;          }
  public int getY()     { return y;          }
  
  public int getRGB()   { return packedRGBA; }
  public int getR()     { return r; }
  public int getG()     { return g; }
  public int getB()     { return b; }
//--------------------------------------------------------------------//
}
