package sharkey_mod_nlp.fnn;

import java.util.*;

public abstract class NetworkPool
{
  private static FNN fnn   = null;
  private static SRN srn   = null;
  private static RAAM raam = null;
  
  public static void setMapperNetwork(FNN net)
  {
    fnn = net;
  }
  
  public static void setEncoderNetwork(SRN net)
  {
    srn = net;
  }
  
  public static void setDecoderNetwork(RAAM net)
  {
    raam = net;
  }
  
  public static FNN getMapperNetwork()
  {
    return fnn;
  }
  
  public static SRN getEncoderNetwork()
  {
    return srn;
  }
  
  public static RAAM getDecoderNetwork()
  {
    return raam;
  }
}
