/**
 * 
 * GUI / Controller class for everything...
 * 
 *   - POP
 *   - ADABOOST { ANN, DTC, NBC }
 * 
 */
package sharkey_mod_nlp.gui;

import javax.swing.*;

import sfm.shp.gui.GUI_FNN;

/**
 * @author Sveinung
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class MOD_NLP_GUI extends JFrame
{
  public MOD_NLP_GUI()
  {
    JFrame.setDefaultLookAndFeelDecorated(true);
    this.setTitle("ControlPanel - Sharkey modular NLP");
    this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    this.setBounds(300, 40, 645, 750);

    JTabbedPane jtp = new JTabbedPane(JTabbedPane.TOP, JTabbedPane.WRAP_TAB_LAYOUT);
    
    jtp.add("SRN", new GUI_SRN());   
    jtp.setToolTipTextAt(0, "The ENCODER");
    
    jtp.add("FNN", new GUI_ANN());   
    jtp.setToolTipTextAt(1, "The MAPPER");
    
    jtp.add("RAAM", new GUI_RAAM());   
    jtp.setToolTipTextAt(2, "The DECODER");
    
    jtp.add("TestSuite", new GUI_TEST());   
    jtp.setToolTipTextAt(3, "System");
    
    jtp.add("Shapes", new GUI_FNN());   
    jtp.setToolTipTextAt(4, "Shapes");
    
    getContentPane().add(jtp);
    this.setVisible(true);
  }
//---------------------------------------------------------------------//
  /*
  private static void initLookAndFeel()
  {
    try
    {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch (Exception e) 
    { 
      System.out.println("Dng, an exception occurred when setting LookAndFeel");
      e.printStackTrace();
      System.exit(-1);
    }
    
    new MOD_NLP_GUI();
  }
  */
//---------------------------------------------------------------------//
}
