package sharkey_mod_nlp.gui;

import java.awt.*;
import java.awt.image.BufferStrategy;
import javax.swing.*;

public class NetFrame extends JFrame
{
  public NetFrame()
  {
    this.setAlwaysOnTop(true);
    this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
    MyCanvas mC = new MyCanvas();
    mC.setBackground(Color.PINK);
    
    this.getContentPane().add(new JButton("Butt"), BorderLayout.NORTH);
    this.getContentPane().add(mC, BorderLayout.CENTER);
  }
}




/**
 * The canvas on which to paint the entire ANN,
 * including dynamic visualization of value propagation 
 */
final class MyCanvas extends Canvas
{
  private BufferStrategy buf;
  
  public MyCanvas()
  {
  }
//--------------------------------------------------------------------//
  public void init()
  {
    // setSize(getParent().getWidth(), 90);
    
    this.createBufferStrategy(2);
    buf = getBufferStrategy();
  }
//--------------------------------------------------------------------//
  public final Graphics getBufferGraphics()
  {
    return buf.getDrawGraphics();
  }
//--------------------------------------------------------------------//  
  public final void flipBuffer()
  {
    buf.show();
  }
//--------------------------------------------------------------------//  
  public void paint(Graphics g)
  {
    if (buf != null) flipBuffer();
  }
//--------------------------------------------------------------------//
  public void update(Graphics g)
  {
  }
//--------------------------------------------------------------------//
}