package wang;

import javax.swing.UIManager;

import wang.env.*;
import wang.gui.*;

public class RunIt
{
  private static Environment env;
//------------------------------------------------------------//
  public RunIt()
  {
    env = new Environment();
    Control cpl = new Control(env);
    cpl.setVisible(true);
    
    Agent ag1 = new Agent("George", Agent.ROLE_SPEAKER, env);
    Agent ag2 = new Agent("Dick",   Agent.ROLE_LISTENER, env);
    
    env.addAgent(ag1);
    env.addAgent(ag2);
  }
//------------------------------------------------------------//
  public static void main(String[] args)
  {
    try
    {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch (Exception e) 
    { 
      System.out.println("Dng, an exception occurred when setting LookAndFeel");
      e.printStackTrace();
      System.exit(-1);
    }
    
    new RunIt(); 
  }
//------------------------------------------------------------//
}
