package wang.graph;

public final class GraphData
{
  private int[] xPoints, yPoints;
  
  public GraphData(int tableSize)
  {
    xPoints = new int[tableSize];
    yPoints = new int[tableSize];
  }
  
  public final void setCoordinate(int x, int y, int pos)
  {
    xPoints[pos] = x;
    yPoints[pos] = y;
  }
  
  public int[] getData_x()
  {
    return xPoints;
  }
  
  public int[] getData_y()
  {
    return yPoints;
  }
}
