package wang.gui;

import java.awt.*;
import java.awt.image.*;

public class GraphCanvas extends Canvas
{
  private BufferStrategy buf;
  
  public GraphCanvas(Color bg, int w)
  {
    this.setBackground(bg);
    setSize(w,90);
  }
//--------------------------------------------------------------------//
  public void init()
  {
    setSize(getParent().getWidth()-6, 90);
    
    this.createBufferStrategy(2);
    buf = getBufferStrategy();
  }
//--------------------------------------------------------------------//
  public Graphics getBufferGraphics()
  {
    return buf.getDrawGraphics();
  }
//--------------------------------------------------------------------//  
  public void flipBuffer()
  {
    buf.show();
  }
//--------------------------------------------------------------------//  
  public void paint(Graphics g)
  {
    if (buf != null) flipBuffer();
  }
//--------------------------------------------------------------------//
  public void update(Graphics g)
  {
  }
//--------------------------------------------------------------------//
}
