/**
 * 
 * GUI / Controller class for everything...
 * 
 *   - POP
 *   - ADABOOST { ANN, DTC, NBC }
 * 
 */
package sfm.gui;

import javax.swing.*;


/**
 * @author Sveinung
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class TOPLEVEL_GUI extends JFrame
{
  public TOPLEVEL_GUI()
  {
    JFrame.setDefaultLookAndFeelDecorated(true);
    this.setTitle("ControlPanel  -  Concept learning & Perceptual Symbol Grounding");
    this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    this.setBounds(300, 40, 645, 750);

    JTabbedPane jtp = new JTabbedPane(JTabbedPane.TOP, JTabbedPane.WRAP_TAB_LAYOUT);
    int cmpIdx = 0;
    
    jtp.add("Words", new GUI_LABELS());   
    jtp.setToolTipTextAt(cmpIdx++, "Labels");
    
    jtp.add("Shapes", new GUI_SHAPES());   
    jtp.setToolTipTextAt(cmpIdx++, "Shapes");
    
    jtp.add("Locations - Horizontal", new GUI_LOCATIONS_H());   
    jtp.setToolTipTextAt(cmpIdx++, "Locations - Horizontal");
    
    jtp.add("Locations - Vertical", new GUI_LOCATIONS_V());   
    jtp.setToolTipTextAt(cmpIdx++, "Locations - Vertical");
    
    jtp.add("Concept2Word", new GUI_CONCEPT2WORD());   
    jtp.setToolTipTextAt(cmpIdx++, "Concept-to-Word");
    
    jtp.add("Word2Concept", new GUI_WORD2CONCEPT());   
    jtp.setToolTipTextAt(cmpIdx++, "Word-to-Concept");
    
    JTabbedPane jtpTop = new JTabbedPane(JTabbedPane.TOP, JTabbedPane.WRAP_TAB_LAYOUT);
    jtpTop.add("Training section", jtp);
    jtpTop.add("Demo section", new JPanel());
    
    getContentPane().add(jtpTop);
    this.setVisible(true);
  }
//---------------------------------------------------------------------//
  /*
  private static void initLookAndFeel()
  {
    try
    {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch (Exception e) 
    { 
      System.out.println("Dng, an exception occurred when setting LookAndFeel");
      e.printStackTrace();
      System.exit(-1);
    }
    
    new MOD_NLP_GUI();
  }
  */
//---------------------------------------------------------------------//
}
